org.apache.lucene.analysis.morfologik

## Class MorfologikFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.morfologik.MorfologikFilterFactory

All Implemented Interfaces:
  ResourceLoaderAware

    public class MorfologikFilterFactory
    extends TokenFilterFactory
    implements ResourceLoaderAware

Filter factory for `MorfologikFilter`.

An explicit resource name of the dictionary (`".dict"`) can be provided via the `dictionary` attribute, as the example below demonstrates:

     <fieldType name="text_mylang" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.MorfologikFilterFactory" dictionary="mylang.dict" />
       </analyzer>
     </fieldType>

If the dictionary attribute is not provided, the Polish dictionary is loaded and used by default.

Since:
  4.0.0
See Also:
  Morfologik web site
SPI Name (Note: This is case-insensitive. e.g., if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service):
  "morfologik"

### Field Summary

Fields
`static String` `DICTIONARY_ATTRIBUTE` Dictionary resource attribute (should have `".dict"` suffix), loaded from `ResourceLoader`.
`static String` `NAME` SPI name

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`MorfologikFilterFactory(Map<String,String> args)` Creates a new MorfologikFilterFactory

### Method Summary

All Methods Instance Methods Concrete Methods
`TokenStream` `create(TokenStream ts)`
`void` `inform(ResourceLoader loader)`

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME

    public static final String NAME

SPI name

See Also:
  Constant Field Values

#### DICTIONARY_ATTRIBUTE

    public static final String DICTIONARY_ATTRIBUTE

Dictionary resource attribute (should have `".dict"` suffix), loaded from `ResourceLoader`.

See Also:
  Constant Field Values

### Constructor Detail

#### MorfologikFilterFactory

    public MorfologikFilterFactory(Map<String,String> args)

Creates a new MorfologikFilterFactory

### Method Detail

#### inform

    public void inform(ResourceLoader loader)
                throws IOException

Specified by:
  `inform` in interface `ResourceLoaderAware`
Throws:
  `IOException`

#### create

    public TokenStream create(TokenStream ts)

Specified by:
  `create` in class `TokenFilterFactory`